Environment Reset - Reset Environment

Resets the environment.
Resets the specified environment.

POST https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/reset?api-version=2024-10-01
POST https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/reset?ValidateOnly={ValidateOnly}&ValidateProperties={ValidateProperties}&api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The ID of the environment.

api-version
query True

string

The API version.

ValidateOnly
query

boolean

When true, validates the request without executing it. Use with validateProperties to validate only specific fields. If validateProperties is empty, the entire request is validated. Defaults to false (validate and execute).

ValidateProperties
query

string

A comma-separated list of property names to validate (for example, "property1,property2"). Applies only when validateOnly is true.

Request Body

Media Types: "application/json", "text/json", "application/*+json"

Name Type Description
baseLanguageCode

integer (int32)

The base language code (for example, 1033 for English) for the environment to reset to.

currency

EnvironmentRequestCurrency

Currency settings for an environment.

description

string

An optional description for the environment to reset to.

displayName

string

The display name for the environment to reset to.

domainName

string

Domain name for the environment to reset to.

securityGroupId

string

Security group ID for the environment to reset to.

templates

string[]

Templates to apply for the environment after reset.

Responses

Name Type Description
202 Accepted

Accepted

400 Bad Request

ValidationResponse

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

429 Too Many Requests

Too Many Requests

Other Status Codes

ValidationResponse

Conflict

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
EnvironmentRequestCurrency

Currency settings for an environment.

FieldError

The error detail for a single field.

OperationErrorDetail

Structured error detail for a failed request.

ResetRequest

Request model for resetting an environment.

ValidationResponse

Represents the response for validation of an operation.

EnvironmentRequestCurrency

Currency settings for an environment.

Name Type Description
code

string

The currency code (for example, USD).

name

string

The currency name.

precision

integer (int32)

The currency precision.

symbol

string

The currency symbol.

FieldError

The error detail for a single field.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong with the field.

suggestedValue

string

A suggested or accepted value that would resolve the error.

OperationErrorDetail

Structured error detail for a failed request.

Name Type Description
code

string

The error code.

fieldErrors

<string,  FieldError>

Per-field error detail, keyed by field name.

ResetRequest

Request model for resetting an environment.

Name Type Description
baseLanguageCode

integer (int32)

The base language code (for example, 1033 for English) for the environment to reset to.

currency

EnvironmentRequestCurrency

Currency settings for an environment.

description

string

An optional description for the environment to reset to.

displayName

string

The display name for the environment to reset to.

domainName

string

Domain name for the environment to reset to.

securityGroupId

string

Security group ID for the environment to reset to.

templates

string[]

Templates to apply for the environment after reset.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

OperationErrorDetail

Structured error detail for a failed request.